1.40.0 build failed using eclipse 3.7

Discuss issues related to PS3 Media Server development (only for programmers)

1.40.0 build failed using eclipse 3.7

Postby ycat3 » Sun Sep 25, 2011 10:04 am

I check out PMS3 1.40.0 code and I encounter the build problem using eclipse 3.7 ant, and jdk1.7.0.

Error messages are following.
Any suggestion are appreciated.
Cheers,

-------------------------------------------------------------------------------------------
Buildfile: C:\Program Files\Java\workspace\PMS3\build.xml
depends:
clean:
[delete] Deleting directory C:\Program Files\Java\workspace\PMS3\classes
PMS:
[mkdir] Created dir: C:\Program Files\Java\workspace\PMS3\classes

BUILD FAILED
C:\Program Files\Java\workspace\PMS3\build.xml:31: java.lang.UnsupportedClassVersionError: com/sun/tools/javac/Main : Unsupported major.minor version 51.0

Total time: 3 seconds
--------------------------------------------------------------------------------------------------
ycat3
 
Posts: 2
Joined: Sun Sep 25, 2011 9:49 am

Re: 1.40.0 build failed using eclipse 3.7

Postby Raptor399 » Sun Sep 25, 2011 1:37 pm

Might have to do with compiling against Java 7. I thought there were problems with that but haven't delved into it yet, so I'm not sure.
Raptor399
Project Member
 
Posts: 1916
Joined: Thu Mar 10, 2011 12:06 am

Re: 1.40.0 build failed using eclipse 3.7

Postby ycat3 » Sun Sep 25, 2011 3:31 pm

I switched to jdk1.6.0_27 from jdk1.7.0, then pms 1.40.0 build is successful.
Thanks a lot !
ycat3
 
Posts: 2
Joined: Sun Sep 25, 2011 9:49 am


Return to Developers

Who is online

Users browsing this forum: No registered users and 2 guests